org.apache.poi.hwmf.record

## Class HwmfPalette.PaletteEntry

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfPalette.PaletteEntry

- All Implemented Interfaces:
    GenericRecord
  Enclosing class:
    HwmfPalette

      public static class HwmfPalette.PaletteEntry
      extends java.lang.Object
      implements GenericRecord

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaletteEntry()`
    `PaletteEntry(HwmfPalette.PaletteEntry other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getColorRef()`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `int` | `init(LittleEndianInputStream leis)`
    `boolean` | `isExplicit()` Specifies that the low-order word of the logical palette entry designates a hardware palette index.
    `boolean` | `isNoCollapse()` Specifies that the color be placed in an unused entry in the system palette instead of being matched to an existing color in the system palette.
    `boolean` | `isReserved()` Specifies that the logical palette entry be used for palette animation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericRecordType`

- - ### Constructor Detail

    - #### PaletteEntry

          public PaletteEntry()

    - #### PaletteEntry

          public PaletteEntry(HwmfPalette.PaletteEntry other)

  - ### Method Detail

    - #### init

          public int init(LittleEndianInputStream leis)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### isReserved

          public boolean isReserved()

      Specifies that the logical palette entry be used for palette animation. This value prevents other windows from matching colors to the palette entry because the color frequently changes. If an unused system-palette entry is available, the color is placed in that entry. Otherwise, the color is not available for animation.

    - #### isExplicit

          public boolean isExplicit()

      Specifies that the low-order word of the logical palette entry designates a hardware palette index. This value allows the application to show the contents of the display device palette.

    - #### isNoCollapse

          public boolean isNoCollapse()

      Specifies that the color be placed in an unused entry in the system palette instead of being matched to an existing color in the system palette. If there are no unused entries in the system palette, the color is matched normally. Once this color is in the system palette, colors in other logical palettes can be matched to this color.

    - #### getColorRef

          public java.awt.Color getColorRef()

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.